package com.ruoyi.reportManagement.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class SingleAnalysisExcel {

    /** 货主Id */
    private Long fCorpid;

    /** 货主 */
    private String corpName;

    /** 提单号 */
    private String fMblno;

    /** 品名 */
    private String goodsName;

    /** 序号 */
    private Integer lineNo;

    /** 作业类型 */
    @Excel(name = "作业类型")
    private String fBusinessType;

    /** 箱型箱量 */
    @Excel(name = "箱型箱量")
    private String fCntval;

    @Excel(name = "入库日期")
    private String inBsdate;

    /** 入库件数 */
    @Excel(name = "入库件数")
    private Integer inQty;

    /** 入库毛重 */
    @Excel(name = "入库毛重")
    private BigDecimal inGrossweight;

    @Excel(name = "出库日期")
    private String outBsdate;

    /** 入库件数 */
    @Excel(name = "出库件数")
    private Integer outQty;

    /** 入库毛重 */
    @Excel(name = "出库毛重")
    private BigDecimal outGrossweight;

    /** 结余件数 */
    @Excel(name = "结余件数")
    private Integer fQtyblc;

    /** 结余毛重 */
    @Excel(name = "结余毛重")
    private BigDecimal fGrossweightblc;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private String fBilltype;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    /** 日期区间 */
    private List<String> bsdateList;

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public Integer getLineNo() {
        return lineNo;
    }

    public void setLineNo(Integer lineNo) {
        this.lineNo = lineNo;
    }

    public String getfBusinessType() {
        return fBusinessType;
    }

    public void setfBusinessType(String fBusinessType) {
        this.fBusinessType = fBusinessType;
    }

    public String getfCntval() {
        return fCntval;
    }

    public void setfCntval(String fCntval) {
        this.fCntval = fCntval;
    }

    public String getInBsdate() {
        return inBsdate;
    }

    public void setInBsdate(String inBsdate) {
        this.inBsdate = inBsdate;
    }

    public Integer getInQty() {
        return inQty;
    }

    public void setInQty(Integer inQty) {
        this.inQty = inQty;
    }

    public BigDecimal getInGrossweight() {
        return inGrossweight;
    }

    public void setInGrossweight(BigDecimal inGrossweight) {
        this.inGrossweight = inGrossweight;
    }

    public String getOutBsdate() {
        return outBsdate;
    }

    public void setOutBsdate(String outBsdate) {
        this.outBsdate = outBsdate;
    }

    public Integer getOutQty() {
        return outQty;
    }

    public void setOutQty(Integer outQty) {
        this.outQty = outQty;
    }

    public BigDecimal getOutGrossweight() {
        return outGrossweight;
    }

    public void setOutGrossweight(BigDecimal outGrossweight) {
        this.outGrossweight = outGrossweight;
    }

    public Integer getfQtyblc() {
        return fQtyblc;
    }

    public void setfQtyblc(Integer fQtyblc) {
        this.fQtyblc = fQtyblc;
    }

    public BigDecimal getfGrossweightblc() {
        return fGrossweightblc;
    }

    public void setfGrossweightblc(BigDecimal fGrossweightblc) {
        this.fGrossweightblc = fGrossweightblc;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<String> getBsdateList() {
        return bsdateList;
    }

    public void setBsdateList(List<String> bsdateList) {
        this.bsdateList = bsdateList;
    }
}
